Skip to main content
GET
Get member

Path Parameters

workspaceId
string<uuid>
required

Workspace identifier.

accountId
string<uuid>
required

Id of the member's account.

Response

Represents a workspace member.

Represents a workspace member.

createdAt
string<date-time>
required

Timestamp when the member joined the workspace.

emailAddress
string
required

Email address of the member.

id
string<uuid>
required

Account id of the member — the durable reference used to address the account (e.g. as a review assignee), stable across handle changes.

memberRole
required

Role of the member in the workspace.

Allowed value: "owner"
username
string
required

Handle of the member's account.

Required string length: 3 - 32
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
avatarUrl
string

Serve path of the member's avatar, when set.

displayName
string

Display name of the member, when set.